<?php
require_once("DBManager.class.php");

class carrera{
	private $idcarrera;///
	private $nombre;
	private $estado;
	/////////////////constructor/////////////////
	
	///////////////////////////////////////////
	public function Crear($vc,$es)
	{
		$resp=false;		
		$db= new DBManager();		
		if($db->_execute("INSERT INTO carrera(idcarrera,nombre,estado) VALUES(null,'".$vc."','".$es."')"))   
		{
			$resp=true;
		}
		return $resp;		
	}
	
	
	public function ListarPorCarrera($v)
	{
		$vector=null;		
		$db= new DBManager();		
		$rs=$db->execute("select * from carrera where(nombre LIKE CONCAT('%','".$v."','%'))");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idcarrera"	=> $rs->fields["idcarrera"],
									"nombre" 	=> $rs->fields["nombre"],
									"estado" 	=> $rs->fields["estado"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	
	public function ListarActivos()
	{
		$vector=null;		
		$db= new DBManager();		
		$rs=$db->execute("select * from carrera where(estado='ACTIVO')");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) 
			{
   				$vector[$row]=array("idcarrera"	=> $rs->fields["idcarrera"],
									"nombre" 	=> $rs->fields["nombre"],
									"estado" 	=> $rs->fields["estado"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
         	}			
        	return $vector;			
		}else return null;
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
		
	public function BuscarPorCodigo($vcod)
	{
		
		$resp=false;
		$num_rows=0;//numero de filas afectada por la consulta
		$db= new DBManager();
		$rs=$db->execute("select * from carrera where(idcarrera = ".$vcod.")");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$resp=true;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                // Coleccion de campos accesible mediante arrays asociativos también
	                  $this->idcarrera=$rs->fields["idcarrera"];
				      $this->nombre=$rs->fields["nombre"];				
				      $this->estado=$rs->fields["estado"];	
 				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
		}
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              
		return $resp;							
	}
	
	
	public function Actualizar($vid,$vc,$es)			
	{
		$resp=false;		
		$db= new DBManager();			
		if($db->_execute("update  carrera set nombre = '".$vc."',estado='".$es."' where (idcarrera=".$vid.") "))//si es exitosa la consulta			   
		{
		  $resp=true; 
		}	
		return $resp;
	}
	/////////////////////////////////
	public function ListaTotal()
	{
		$vector=null;
		$db= new DBManager();		
		$rs=$db->execute("select * from carrera");
		$num_rows=$rs->getNumOfRows();
		if($num_rows>0)
		{	$row=0;
			$rs->firstRow(); // opcional, pero recomendado
			while (!$rs->EOF) {
                $vector[$row]=array("idcarrera"	=> $rs->fields["idcarrera"],
									"nombre" 	=> $rs->fields["nombre"],
									"estado" 	=> $rs->fields["estado"]);
									
                $row++;
				$rs->nextRow(); // Nota: nextRow() Esta situado al final				
        	}			
        	return $vector;			
		}else return null;
		
		$rs->close(); 
		$db->closeConnection();//opcional cierra el enlace de la Base de Datos              						
	}
	

	//////////////////////////////
	public function Eliminar($vcod)
	{
		$resp=false;		
		$db= new DBManager();		
		if($db->_execute("DELETE FROM carrera WHERE (idcarrera=".$vcod.");"))   
		{
			$resp=true;
		}
		return $resp;		
	}	
	/////////////////////////////////////////
	
	////////////////////////////////////////							
	
	public function getIdcarrera(){ return $this->idcarrera;}
	public function getNombre(){ return $this->nombre;}
	public function getEstado(){ return $this->estado;}
	
		
}
?>
